Package: org.apache.groovy.ginq.dsl

## [Java] Class GinqAstBaseVisitor

- org.apache.groovy.ginq.dsl.GinqAstBaseVisitor

- All Implemented Interfaces and Traits:
    GinqAstVisitor

      @Incubating
      public class GinqAstBaseVisitor
      extends CodeVisitorSupport
      implements GinqAstVisitor

  The default base visitor for GINQ AST

  Since:
    4.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Void` | `visit(AbstractGinqExpression expression)` Visits the supplied expression when present.
    `` | `public Void` | `visitFromExpression(FromExpression fromExpression)` Visits a `from` clause.
    `` | `public Void` | `visitGinqExpression(GinqExpression ginqExpression)` Visits a GINQ expression and its child clauses.
    `` | `public Void` | `visitGroupExpression(GroupExpression groupExpression)` Visits a `groupby` clause.
    `` | `public Void` | `visitHavingExpression(HavingExpression havingExpression)` Visits a `having` clause.
    `` | `public Void` | `visitJoinExpression(JoinExpression joinExpression)` Visits a join clause.
    `` | `public Void` | `visitLimitExpression(LimitExpression limitExpression)` Visits a `limit` clause.
    `` | `public Void` | `visitOnExpression(OnExpression onExpression)` Visits an `on` clause.
    `` | `public Void` | `visitOrderExpression(OrderExpression orderExpression)` Visits an `orderby` clause.
    `` | `public Void` | `visitSelectExpression(SelectExpression selectExpression)` Visits a `select` clause.
    `` | `public Void` | `visitSetOperationExpression(SetOperationExpression setOperationExpression)` Visits a set-operation expression.
    `` | `public Void` | `visitShutdownExpression(ShutdownExpression shutdownExpression)` Visits a shutdown expression.
    `` | `public Void` | `visitWhereExpression(WhereExpression whereExpression)` Visits a `where` clause.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CodeVisitorSupport` | `afterSwitchCaseStatementsVisited, afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSwitchExpression, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop, visitYieldStatement`

- - ### Method Detail

    - #### public Void visit(AbstractGinqExpression expression)

      Visits the supplied expression when present.

      Parameters:
        `expression` - the expression to visit
      Returns:
        `null`

    - #### public Void visitFromExpression(FromExpression fromExpression)

      Visits a `from` clause.

      Parameters:
        `fromExpression` - the clause to visit
      Returns:
        `null`

    - #### public Void visitGinqExpression(GinqExpression ginqExpression)

      Visits a GINQ expression and its child clauses.

      Parameters:
        `ginqExpression` - the expression to visit
      Returns:
        `null`

    - #### public Void visitGroupExpression(GroupExpression groupExpression)

      Visits a `groupby` clause.

      Parameters:
        `groupExpression` - the clause to visit
      Returns:
        `null`

    - #### public Void visitHavingExpression(HavingExpression havingExpression)

      Visits a `having` clause.

      Parameters:
        `havingExpression` - the clause to visit
      Returns:
        `null`

    - #### public Void visitJoinExpression(JoinExpression joinExpression)

      Visits a join clause.

      Parameters:
        `joinExpression` - the clause to visit
      Returns:
        `null`

    - #### public Void visitLimitExpression(LimitExpression limitExpression)

      Visits a `limit` clause.

      Parameters:
        `limitExpression` - the clause to visit
      Returns:
        `null`

    - #### public Void visitOnExpression(OnExpression onExpression)

      Visits an `on` clause.

      Parameters:
        `onExpression` - the clause to visit
      Returns:
        `null`

    - #### public Void visitOrderExpression(OrderExpression orderExpression)

      Visits an `orderby` clause.

      Parameters:
        `orderExpression` - the clause to visit
      Returns:
        `null`

    - #### public Void visitSelectExpression(SelectExpression selectExpression)

      Visits a `select` clause.

      Parameters:
        `selectExpression` - the clause to visit
      Returns:
        `null`

    - #### public Void visitSetOperationExpression(SetOperationExpression setOperationExpression)

      Visits a set-operation expression.

      Parameters:
        `setOperationExpression` - the expression to visit
      Returns:
        `null`

    - #### public Void visitShutdownExpression(ShutdownExpression shutdownExpression)

      Visits a shutdown expression.

      Parameters:
        `shutdownExpression` - the expression to visit
      Returns:
        `null`

    - #### public Void visitWhereExpression(WhereExpression whereExpression)

      Visits a `where` clause.

      Parameters:
        `whereExpression` - the clause to visit
      Returns:
        `null`